﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #f2f2f2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
 /* white-space: nowrap;
  line-height: 60px;*/ /* Vertically center the text there */
}


 select {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}
input[type=tel] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0 15px;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

/*input[type=submit] {
    width: 60%;
    background-color: #0033a2;
    color: white;
    padding: 14px 24px;
    margin-top: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}*/

    input[type=submit]:hover {
        background-color: #0033a2;
    }

.get {
    width: 60%;
    background-color: #0033a2;
    color: white;
    padding: 14px 24px;
    margin-top: 14px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}
.return {
    width: 60%;
    background-color: #0033a2;
    color: white;
    padding: 14px 24px;
    margin-top: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
}


div {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
}
.container-login100 {
    width: 100%;
    min-height: 82.5vh;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 35px;
    background: #f2f2f2;
}
.wrap-login100 {
    width: 410px;
    height: 530px;
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
}
.login100-form {
    width: 100%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 40px 40px 40px 40px;
}
.login100-form-title {
    width: 100%;
    position: relative;
    z-index: 1;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    padding: 20px 30px 10px 40px;
}
    .login100-form-title::before {
        content: "";
        display: block;
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 100%;
        border-radius: 4px;
        top: 0;
        left: 0;
        background-color: #0033a2;
        background-image: url(../img/title_login.png);
        background-size: 400px 88px;
        /*        background-size :auto;*/
    }
.login100-form-title-1 {
    font-family: 'DB Sathorn X Bd';
    font-size: 24px;
    color: #fff;
    text-transform: uppercase;
    line-height: 1;
    text-align: left;
    margin-bottom: 10px;
}

/*popup*/
.popup-wrap {
    position: absolute;
    /*    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);*/
    display: none;
    z-index: 2;
    /*transition: all 1.7s ease;*/
}

.popup {
    position: relative;
    width: auto;
    height: 500px;
    overflow: overlay;
    /*    background-color: rgba(0,0,0,1);*/
    /*background-image: url(../img/ads.jpg);*/
    /*    margin: 100px auto;*/
    z-index: 2;
}


.popup-timer {
    width: auto;
    height: 25px;
/*    color: #fff;*/
    position: absolute;
    right: 10px;
    line-height: 25px;
    padding: 0px 10px;
}

.btn-close {
    background-color: #fff;
    width: 25px;
    height: 25px;
    text-align: center;
    line-height: 22px;
    position: absolute;
    right: -10px;
    top: -10px;
    cursor: pointer;
    transition: all 0.5s ease;
    border-radius: 50%;
    padding: 0px;
}

    .btn-close:hover {
        transform: rotate(360deg);
    }

.click-here {
    position: relative;
    outline: none;
    text-decoration: none;
    border-radius: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    text-transform: uppercase;
    height: 30px;
    width: 190px;
    opacity: 1;
    background-color: #ffffff;
    border: 1px solid rgba(22, 76, 167, 0.6);
    margin: 2% auto;
}
    .click-here span {
        color: #164ca7;
        font-size: 17px;
        font-weight: 500;
        letter-spacing: 0.7px;
    }
    .click-here:hover {
        animation: rotate 0.7s ease-in-out both;
    }

        .click-here:hover span {
            animation: storm 0.7s ease-in-out both;
            animation-delay: 0.06s;
        }


.container-login100 .modal-wrapper {
    align-items: center;
    background: rgba(0, 0, 0, 0.7);
    bottom: 0;
    display: flex;
    justify-content: center;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 2;
    visibility: hidden;
}
.container-login100.received .modal-wrapper {
    visibility: visible;
}

.container-login100 .modal-wrapper .modal-body{
    position: fixed;
}
.container-login100 .modal-wrapper .modal-body .modal-header .heading {
    width: 100%;
    color: black;
    display: block;
    text-align: center;
    padding: 10px;
    font-weight: bold;
    font-size: 24pt;
    color: #FFFF;
    background-image: url(../img/title_login.png);
}
.container-login100 .modal-wrapper .modal-body .detailing {
    width: 100%;
    color: black;
    display: block;
    text-align: center;
/*    padding: 10px;*/
    font-weight: bold;
    font-size: 20pt;
    color: #595959;
}
@keyframes rotate {
    0% {
    transform: rotate(0deg) translate3d(0, 0, 0);
    }

    25% {
        transform: rotate(3deg) translate3d(0, 0, 0);
    }

    50% {
        transform: rotate(-3deg) translate3d(0, 0, 0);
    }

    75% {
        transform: rotate(1deg) translate3d(0, 0, 0);
    }

    100% {
        transform: rotate(0deg) translate3d(0, 0, 0);
    }
}

@keyframes storm {
    0% {
        transform: translate3d(0, 0, 0) translateZ(0);
    }

    25% {
        transform: translate3d(4px, 0, 0) translateZ(0);
    }

    50% {
        transform: translate3d(-3px, 0, 0) translateZ(0);
    }

    75% {
        transform: translate3d(2px, 0, 0) translateZ(0);
    }

    100% {
        transform: translate3d(0, 0, 0) translateZ(0);
    }
}

@media only screen and (min-width: 375px) and (max-width: 767px) {
    html {
        font-size: 11px;
    }

    element.style {
        font-family: DB Sathorn X;
        font-size: 13px;
    }

    .get {
        width: 60%;
        background-color: #0033a2;
        color: white;
        padding: 14px 20px;
        margin-top: 14px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        margin-left: auto;
        margin-right: auto;
    }

    .return {
        width: 60%;
        background-color: #0033a2;
        color: white;
        padding: 14px 13px;
        margin-top: 10px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        margin-left: auto;
        margin-right: auto;
    }

    .wrap-login100 {
        width: 400px;
        height: 480px;
        background: #fff;
        border-radius: 10px;
        overflow: hidden;
        position: relative;
    }

    .container-login100 .modal-wrapper .modal-body .modal-header .heading {
        width: 100%;
        color: black;
        display: block;
        text-align: center;
        padding: 10px;
        font-weight: bold;
        font-size: 15pt;
        color: #FFFF;
        background-image: url(../img/title_login.png);
    }

    .container-login100 .modal-wrapper .modal-body .detailing {
        width: 100%;
        color: black;
        display: block;
        text-align: center;
        /*    padding: 10px;*/
        font-weight: bold;
        font-size: 12pt;
        color: #595959;
    }
}
